# Audible

Get your Activation Bytes https://audible-tools.kamsker.at/

## (01_get.sh) Downloading 
- https://github.com/mkb79/audible-cli (in requirements.txt)
- run: `./get.sh`

## (02_strip.py) Stripping DRM 
- requires ffmpeg compiled with aac support
- https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu
- run: `python 02_strip.py AUDIOBOOK.aax`

## (03_rename.py) Renaming Things 
- Requires the python mutagen package (in requirements.txt)
- Grabs the title and artist from the file, then puts the file in the format `Artist/Title/Audiobook.m4b`
- AudiobookShelf likes `Audiobook.m4b`, vs the title, kind of annoying, so thats how I wrote this.
- run: `python 03_rename.py filename.m4b` or `python 03_rename.py` in a directory

# Not Audible
For when you have a folder of mp3s in order of chapters

## (04_chapters.py) Chapters [not for Audible, for collections of mp3 files]
- this makes a FFMETADATAFILE based on the timing of a list of Mp3 files and adds those as an M4B file
